Kerbal Space Program - Bug #1590

Fix laggy GUI
10/20/2013 07:28 AM - toxygen

Status: Moot Start date: 10/20/2013
Severity: Very Low % Done: 0%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.22 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Is there a reason why GUI should be so slow? Even though no 3D scene is being rendered, like in Research & Development menu,
everything is just too sluggish. Same goes for Astronaut Complex and others. Is it possible to fix this behavior to get lower latency
whel selecting and clicking?

History

#1 - 10/20/2013 09:18 AM - crazyman1001
Confirmed, | get 12fps on R&D but 29fps when building rocket.

#2 - 10/21/2013 11:06 AM - KingradKong

The R&D GUI is extremely unresponsive. To select a tech tree takes multiple clicks and many seconds of a non responsive program to show up.
Also, | often have trouble exiting the R&D screen and have had it stuck for 20+ seconds before. Very strange for a simple gui.

#3 - 11/19/2015 05:59 PM - sal_vager
- Status changed from New to Moot
- Severity changed from Normal to Very Low

- % Done changed from 0 to 100

There have been Ul improvements since this was reported and the Ul is being replaced for 1.1

05/19/2024 1/1



http://www.tcpdf.org

